hOpenPGP-2.10.1: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None
Language | Haskell2010

Codec.Encryption.OpenPGP.Signatures

# Documentation

verifySigWith :: (Pkt -> Maybe UTCTime -> ByteString -> Either String Verification) -> Pkt -> PktStreamContext -> Maybe UTCTime -> Either String Verification Source #

verifyAgainstKeyring :: Keyring -> Pkt -> Maybe UTCTime -> ByteString -> Either String Verification Source #

verifyAgainstKeys :: [TK] -> Pkt -> Maybe UTCTime -> ByteString -> Either String Verification Source #

verifyTKWith :: (Pkt -> PktStreamContext -> Maybe UTCTime -> Either String Verification) -> Maybe UTCTime -> TK -> Either String TK Source #

signUserIDwithRSA Source #

Arguments

:: PKPayload | public key "payload" of user ID being signed
-> UserId | user ID being signed
-> [SigSubPacket] | hashed signature subpackets
-> [SigSubPacket] | unhashed signature subpackets
-> PrivateKey | RSA signing key
-> Either String SignaturePayload |

crossSignSubkeyWithRSA Source #

Arguments

:: PKPayload | public key "payload" of key being signed
-> PKPayload | public subkey "payload" of key being signed
-> [SigSubPacket] | hashed signature subpackets for binding sig
-> [SigSubPacket] | unhashed signature subpackets for binding sig
-> [SigSubPacket] | hashed signature subpackets for embedded sig
-> [SigSubPacket] | unhashed signature subpackets for embedded sig
-> PrivateKey | RSA signing key
-> PrivateKey | RSA signing subkey
-> Either String SignaturePayload |

signDataWithRSA :: SigType -> PrivateKey -> [SigSubPacket] -> [SigSubPacket] -> ByteString -> Either String SignaturePayload Source #